// defines.h

// INCLUDES ///////////////////////////////////////////////
#define WIN32_LEAN_AND_MEAN  

#include <windows.h>					// include important windows stuff
#include <windowsx.h>
#include <mmsystem.h>
#include <iostream.h>					// include important C/C++ stuff
#include <conio.h>
#include <stdlib.h>
#include <malloc.h>
#include <memory.h>
#include <string.h>
#include <stdarg.h>
#include <stdio.h>
#include <math.h>
#include <io.h>
#include <assert.h>
#include <fcntl.h>
#include <time.h>

#include <ddraw.h>						// DirectX includes
#define DIRECTINPUT_VERSION 0x0700
#include <dinput.h>
#include <dmusici.h>

typedef HRESULT(WINAPI * DIRECTDRAWCREATE)( GUID*, LPDIRECTDRAW*, IUnknown* );
typedef HRESULT(WINAPI * DIRECTDRAWCREATEEX)( GUID*, VOID**, REFIID, IUnknown* );
typedef HRESULT(WINAPI * DIRECTINPUTCREATE)( HINSTANCE, DWORD, LPDIRECTINPUT*,
                                             IUnknown* );

#include "resource.h"

// DEFINES ////////////////////////////////////////////////

#define DINPUT_BUFFERSIZE           16

#define VIEWPORTTOP					1
#define VIEWPORTFRONT				2
#define VIEWPORTLEFT				3
#define VIEWPORT3D					4

#define STANDARTFONTHEIGHT			15
#define CHECKBOXFONTHEIGHT			14
#define SMALFONTHEIGHT				11
#define TEXTUREFONTHEIGHT			10
#define Version						"VoxEd 0.53 MMX"

// defines for windows 
#define WINDOW_CLASS_NAME "WINXCLASS"  // class name

#define WINDOW_WIDTH  0                // size of window
#define WINDOW_HEIGHT 0 
#define SCREEN_WIDTH  640			   // size of screen
#define SCREEN_HEIGHT 480
#define SCREEN_BPP    32               // bits per pixel

#define BITMAP_ID     0x4D42      // universal id for a bitmap

// MESSAGE BOX DEFINES ////////////////////////////////////

#define MS_OK		  1
#define MS_YESNO	  2

// TYPES //////////////////////////////////////////////////

typedef unsigned short USHORT;
typedef unsigned short WORD;
typedef unsigned int   UINT;
typedef unsigned char  UCHAR;
typedef unsigned char  BYTE;